Copyright: Copyright 1999-2002 - Baksoft-Denmark - Poul Bak


Contents

COAS Delphi Help generator

This helpfile is generated by COAS' help generator for Delphi units and components.

For comments please contact jt@coas.com

Please visit http://www.geocities.com/SiliconValley/Vista/5524 for the latest version.

Units

PBSuperSpin

PBDBEdit

PBEdit

PBMaskEdit

PBNumEdit

PBSpinEdit

PBBinHexEdit


PBSuperSpin unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBSuperSpin is a PBNumEdit component with spin-buttons.

PBSuperSpin can display all that PBNumEdit can.

You can use decimal values as Increment.

It has a Wrap property that wraps to MinValue when you exceed MaxValue.

Accelerated spin when holding down the mouse-button or up/down keys.

Can replace standard components without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click. (Standard SpinEdit does not).

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Spin, PBNumEdit

TYPES

TPBSuperSpin


TPBSuperSpin class

Properties	Methods

Unit

PBSuperSpin

Declaration

TPBSuperSpin = class ( TPBNumEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBSuperSpin is a PBNumEdit component with spin-buttons.

PBSuperSpin can display all that PBNumEdit can.

You can use decimal values as Increment.

Accelerated spin when holding down the mouse-button or up/down keys.

It has a Wrap property that wraps to MinValue when you exceed MaxValue.

Can replace standard components without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click. (Standard SpinEdit does not).


Properties_class_TPBSuperSpin

Properties

Cursor	EditorEnabled	Increment

RoundValues	Version	Wrap


Methods_class_TPBSuperSpin

Methods

Create	Destroy	DownStep

RoundValue	UpStep


TPBSuperSpin.Create method

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBSuperSpin.Destroy method

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

destructor Destroy ;override;


TPBSuperSpin.DownStep method

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

procedure DownStep ;

Description

Steps down the Value by Increment. Same as clicking the Up-button except that it does not accelerate the increment. See also Wrap.


TPBSuperSpin.RoundValue method

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

procedure RoundValue ;

Description

Manually rounds the Value. See RoundValues.


TPBSuperSpin.UpStep method

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

procedure UpStep ;

Description

Steps up the Value by Increment. Same as clicking the Up-button except that it does not accelerate the increment. See also Wrap.


Cursor property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property Cursor : TCursor   ;


EditorEnabled property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property EditorEnabled : Boolean   default True ;

Description

EditorEnabled decides whether it is possible to enter a value directly in the editor.


Increment property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property Increment : extended   ;

Description

Increment is the decimal value that Value steps by when you click the buttons up or down. If you keep the mouse-button down (or the up/down keys) the value will increase to accelerate the spin.

Note: You can set Increment to decimal values like 0.25.


RoundValues property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property RoundValues : Boolean   ;

Description

When True: Values will always be MinValue + an integer times Increment.

Example: MinValue = 10, Increment = 5. If a user enters say 23 it will be rounded to 25 upon exit or if a spin-button is pressed.

If EditorEnabled is False, it has no purpose.


Version property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property Version : string   stored False ;

Description

Read only


Wrap property

Unit

PBSuperSpin

Applies to

TPBSuperSpin

Declaration

property Wrap : Boolean   ;

Description

Wrap decides whether or not the value should stop incrementing when it reaches MaxValue or it should wrap around to MinValue (or vice versa when pressing down-button).


PBDBEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002: BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBDBEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, DBCtrls

TYPES

TPBDBEdit


TPBDBEdit class

Properties	Methods

Unit

PBDBEdit

Declaration

TPBDBEdit = class ( TDBEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002: BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBDBEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.


Properties_class_TPBDBEdit

Properties

Alignment	AutoSelect	Version


Methods_class_TPBDBEdit

Methods

Create	CreateParams


TPBDBEdit.Create method

Unit

PBDBEdit

Applies to

TPBDBEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBDBEdit.CreateParams method

Unit

PBDBEdit

Applies to

TPBDBEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


Alignment property

Unit

PBDBEdit

Applies to

TPBDBEdit

Declaration

property Alignment : TAlignment   ;

Description

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AutoSelect property

Unit

PBDBEdit

Applies to

TPBDBEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselect all.


Version property

Unit

PBDBEdit

Applies to

TPBDBEdit

Declaration

property Version : String   stored False ;

Description

Read only.


PBEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls

TYPES

TPBEdit


TPBEdit class

Properties	Methods

Unit

PBEdit

Declaration

TPBEdit = class ( TEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.


Properties_class_TPBEdit

Properties

Alignment	AutoSelect	Version


Methods_class_TPBEdit

Methods

Create	CreateParams


TPBEdit.Create method

Unit

PBEdit

Applies to

TPBEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBEdit.CreateParams method

Unit

PBEdit

Applies to

TPBEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


Alignment property

Unit

PBEdit

Applies to

TPBEdit

Declaration

property Alignment : TAlignment   ;

Description

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AutoSelect property

Unit

PBEdit

Applies to

TPBEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselect all.


Version property

Unit

PBEdit

Applies to

TPBEdit

Declaration

property Version : String   stored False ;

Description

Read only.


PBMaskEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBMaskEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask

TYPES

TPBMaskEdit


TPBMaskEdit class

Properties	Methods

Unit

PBMaskEdit

Declaration

TPBMaskEdit = class ( TMaskEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBMaskEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard component without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.


Properties_class_TPBMaskEdit

Properties

Alignment	AutoSelect	Version


Methods_class_TPBMaskEdit

Methods

Create	CreateParams


TPBMaskEdit.Create method

Unit

PBMaskEdit

Applies to

TPBMaskEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBMaskEdit.CreateParams method

Unit

PBMaskEdit

Applies to

TPBMaskEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


Alignment property

Unit

PBMaskEdit

Applies to

TPBMaskEdit

Declaration

property Alignment : TAlignment   ;

Description

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AutoSelect property

Unit

PBMaskEdit

Applies to

TPBMaskEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselect all.


Version property

Unit

PBMaskEdit

Applies to

TPBMaskEdit

Declaration

property Version : String   stored False ;

Description

Read only.


PBNumEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBNumEdit is a Delphi Edit component with Alignment and mouse-AutoSelect-all.

PBNumEdit is a special Edit component for numeric values - supporting WYSIWYG editing, floating and fixed decimalpoint.

NumberFormat sets the display- and editformat (Standard, Thousands, Scientific and Engineering). You can set max- and minValue.

Note: To prevent conversion errors, the display is limited to 15 significant numbers though the Value (and AsFloat) property is of type Extended.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls

TYPES

TNumberFormat

TPBNumEdit


TNumberFormat type

Unit

PBNumEdit

Declaration

TNumberFormat = ( Standard , Thousands , Scientific , Engineering ) ;

Description

Default: Normal format.

Thousands: Showing Thousand-separators.

Scientific: Exponential - 1 number left of decimalseparator and a 10-exponent (ex: 1.23E8).

Engineering: Same as Scientific except the 10-exponent is always a multiplum of 3 (like milli, kilo, Mega etc.) and there are 1 to 3 numbers left of the decimalseparator.


TPBNumEdit class

Properties	Methods	Events

Unit

PBNumEdit

Declaration

TPBNumEdit = class ( TCustomEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBNumEdit is a Delphi Edit component with Alignment and mouse-AutoSelect-all.

PBNumEdit is a special Edit component for numeric values - supporting WYSIWYG editing, floating and fixed decimalpoint.

NumberFormat sets the display- and editformat (Standard, Thousands, Scientific and Engineering). You can set max- and minValue.

Note: To prevent conversion errors, the display is limited to 15 significant numbers though the Value (and AsFloat) property is of type Extended.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.


Properties_class_TPBNumEdit

Properties

AsCurrency	AsFloat	AsInteger

Alignment	AutoSelect	AutoSize

BorderStyle	Color	Ctl3D

Decimals	DragCursor	DragMode

Enabled	Font	HideSelection

MaxLength	MaxValue	MinValue

NumberFormat	ParentColor	ParentCtl3D

ParentFont	ParentShowHint	PopupMenu

ReadOnly	ShowHint	TabOrder

TabStop	Value	Version

Visible


Methods_class_TPBNumEdit

Methods

Create	CreateParams


Events_class_TPBNumEdit

Events

OnChange	OnClick	OnDblClick

OnDragDrop	OnDragOver	OnEndDrag

OnEnter	OnExit	OnInvalidEntry

OnKeyDown	OnKeyPress	OnKeyUp

OnMouseDown	OnMouseMove	OnMouseUp

OnStartDrag


TPBNumEdit.Create method

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;


TPBNumEdit.CreateParams method

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


AsCurrency property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property AsCurrency : Currency   ;

Description

Set or access the value as a currency type.


AsFloat property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property AsFloat : Extended   ;

Description

Set or access the value as an extended type.

Note: To prevent conversion errors, the display is limited to 15 significant numbers though the Value and AsFloat property are of type Extended and internally calculates with up to 20 significant numbers.


AsInteger property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property AsInteger : Integer   ;

Description

Set or access the value as an integer type.


Alignment property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Alignment : TAlignment   ;

Description

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AutoSelect property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselect all.


AutoSize property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property AutoSize ;


BorderStyle property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property BorderStyle ;


Color property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Color ;


Ctl3D property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Ctl3D ;


Decimals property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Decimals : ShortInt   ;

Description

Set Decimals to -1 if you want a floating decimalpoint with 0 - 14 decimals.

Set Decimals to 0 or a value up to 14 to get fixed decimals.

Note: To prevent conversion errors, the display is limited to 15 significant numbers though the Value (and AsFloat) property is of type Extended and internally calculates with up to 20 significant numbers.


DragCursor property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property DragCursor ;


DragMode property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property DragMode ;


Enabled property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Enabled ;


Font property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Font ;


HideSelection property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property HideSelection ;


MaxLength property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property MaxLength ;


MaxValue property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property MaxValue : Extended   ;

Description

Set MaxValue to prevent users from entering values greater than MaxValue.

OnInvalidEntry triggers when the edit component looses focus.

When MaxValue and MinValue are both zero, they have no effect.


MinValue property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property MinValue : Extended   ;

Description

Set MinValue to prevent users from entering values less than MinValue.

OnInvalidEntry triggers when the edit component looses focus.

When MaxValue and MinValue are both zero, they have no effect.


NumberFormat property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property NumberFormat : TNumberFormat   ;

Description

Sets the display- and editformat.

Standard: Normal format.

Thousands: Showing Thousand-separators.

Scientific: Exponential - 1 number left of decimalseparator and a 10-exponent (ex: 1.23E8).

Engineering: Same as Scientific except the 10-exponent is always a multiplum of 3 (like milli, kilo, Mega etc.) and there are 1 to 3 numbers left of the decimalseparator.


OnChange event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnChange ;


OnClick event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnClick ;


OnDblClick event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnDblClick ;


OnDragDrop event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnDragDrop ;


OnDragOver event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnDragOver ;


OnEndDrag event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnEndDrag ;


OnEnter event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnEnter ;


OnExit event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnExit ;


OnInvalidEntry event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnInvalidEntry : TNotifyEvent   ;

Description

Is called when the user enters a value greater than MaxValue or smaller than MinValue. If no procedure is assigned to this event Value will simply be set to MaxValue if Value is greater than MaxValue and MinValue if Value is less than MinValue.


OnKeyDown event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnKeyDown ;


OnKeyPress event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnKeyPress ;


OnKeyUp event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnKeyUp ;


OnMouseDown event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnMouseDown ;


OnMouseMove event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnMouseMove ;


OnMouseUp event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnMouseUp ;


OnStartDrag event

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property OnStartDrag ;


ParentColor property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ParentColor ;


ParentCtl3D property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ParentCtl3D ;


ParentFont property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ParentFont ;


ParentShowHint property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ParentShowHint ;


PopupMenu property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property PopupMenu ;


ReadOnly property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ReadOnly ;


ShowHint property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property ShowHint ;


TabOrder property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property TabOrder ;


TabStop property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property TabStop ;


Value property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Value : Extended   ;

Description

The value of the text. Set or access the displayed text through this property.

Note: To prevent conversion errors, the display is limited to 15 significant numbers though the Value (and AsFloat) property is of type Extended and internally calculates with up to 20 significant numbers.


Version property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Version : String   stored False ;

Description

Read only


Visible property

Unit

PBNumEdit

Applies to

TPBNumEdit

Declaration

property Visible ;


PBSpinEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBSpinEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard components without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click. (Standard SpinEdit does not).

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Spin

TYPES

TPBSpinEdit


TPBSpinEdit class

Properties	Methods

Unit

PBSpinEdit

Declaration

TPBSpinEdit = class ( TSpinEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBSpinEdit is a standard Delphi Edit component with Alignment and mouse-AutoSelect-all.

Can replace standard components without any disadvantages.

Supports Windows 95, 98 and NT.

Supports Default-Button click. (Standard SpinEdit does not).

Supports Cancel-button click.


Properties_class_TPBSpinEdit

Properties

Alignment	AutoSelect	Cursor

Version


Methods_class_TPBSpinEdit

Methods

Create	CreateParams


TPBSpinEdit.Create method

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBSpinEdit.CreateParams method

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


Alignment property

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

property Alignment : TAlignment   ;

Description

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AutoSelect property

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselect all.


Cursor property

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

property Cursor : TCursor   ;


Version property

Unit

PBSpinEdit

Applies to

TPBSpinEdit

Declaration

property Version : String   stored False ;

Description

Read only.


PBBinHexEdit unit

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBBinHexEdit is a special Edit-component for Binary, Hexadecimal and integer editing, display and conversion.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.

USES

Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls

TYPES

TBaseFormat

TPBBinHexEdit


TBaseFormat type

Unit

PBBinHexEdit

Declaration

TBaseFormat = ( Number , Binary , HexaDecimal ) ;

Description

Number = standard integer format.

Binary = number with only 0 and 1 like '0110'. {HexaDecimal = number with hexadecimal format like $7FFFFFFF.


TPBBinHexEdit class

Properties	Methods	Events

Unit

PBBinHexEdit

Declaration

TPBBinHexEdit = class ( TCustomEdit )

Description

Author:	Poul Bak

Copyright © 1999 - 2002 : BakSoft-Denmark (Poul Bak). All rights reserved.

http://home11.inet.tele.dk/BakSoft/

Mailto: baksoft-denmark@dk2net.dk

Component Version: 6.00.00.00

PBBinHexEdit is a special Edit-component for Binary, Hexadecimal and integer editing, display and conversion.

Supports Windows 95, 98 and NT.

Supports Default-Button click.

Supports Cancel-button click.


Properties_class_TPBBinHexEdit

Properties

Alignment	AsBin	AsInteger

AsHex	AutoSelect	AutoSize

BaseFormat	BorderStyle	Color

Ctl3D	DragCursor	DragMode

Enabled	Font	HideSelection

MaxLength	MaxValue	MinValue

ParentColor	ParentCtl3D	ParentFont

ParentShowHint	PopupMenu	ReadOnly

ShowHint	TabOrder	TabStop

Version	Visible


Methods_class_TPBBinHexEdit

Methods

Create	CreateParams


Events_class_TPBBinHexEdit

Events

OnChange	OnClick	OnDblClick

OnDragDrop	OnDragOver	OnEndDrag

OnEnter	OnExit	OnInvalidEntry

OnKeyDown	OnKeyPress	OnKeyUp

OnMouseDown	OnMouseMove	OnMouseUp

OnStartDrag


TPBBinHexEdit.Create method

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

constructor Create ( AOwner : TComponent ) ;override;

Description

Public declarations


TPBBinHexEdit.CreateParams method

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

procedure CreateParams ( var Params : TCreateParams ) ;override;


Alignment property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Alignment : TAlignment   ;

Description

Published declarations

Set Alignment to: taLeftJustify, taCenter or taRightJustify.

Default : taLeftJustify.

Supports Windows 95, 98 and NT.


AsBin property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property AsBin : string   ;

Description

Set or access the value as a binary string: 1010101010


AsInteger property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property AsInteger : Integer   ;

Description

Set or access the value as an integer type (normal number)


AsHex property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property AsHex : string   ;

Description

Set or access the value as a Hexadecimal string: $FFFFFFFF


AutoSelect property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property AutoSelect ;

Description

Default: True.

Set AutoSelect to True to select all text when you set focus:

Notice that when you set focus using the mouse, all text is also selected - unlike standard Delphi components that only selects all when setting focus with <tab>.

When a form has a defaultbutton and you press <enter>, the click event triggers and focus is returned to the edit control which autoselects all.


AutoSize property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property AutoSize ;


BaseFormat property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property BaseFormat : TBaseFormat   ;

Description

BaseFormat is the edit- and displaytype


BorderStyle property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property BorderStyle ;


Color property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Color ;


Ctl3D property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Ctl3D ;


DragCursor property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property DragCursor ;


DragMode property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property DragMode ;


Enabled property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Enabled ;


Font property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Font ;


HideSelection property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property HideSelection ;


MaxLength property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property MaxLength ;


MaxValue property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property MaxValue : Integer   ;

Description

Set MaxValue to prevent users from entering values greater than MaxValue. OnInvalidEntry triggers when the edit component looses focus. When MaxValue and MinValue are both zero, they have no effect.


MinValue property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property MinValue : Integer   ;

Description

Set MinValue to prevent users from entering values less than MinValue. OnInvalidEntry triggers when the edit component looses focus. When MaxValue and MinValue are both zero, they have no effect.


OnChange event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnChange ;


OnClick event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnClick ;


OnDblClick event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnDblClick ;


OnDragDrop event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnDragDrop ;


OnDragOver event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnDragOver ;


OnEndDrag event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnEndDrag ;


OnEnter event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnEnter ;


OnExit event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnExit ;


OnInvalidEntry event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnInvalidEntry : TNotifyEvent   ;

Description

Is called when the user enters a value greater than MaxValue or smaller than MinValue.


OnKeyDown event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnKeyDown ;


OnKeyPress event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnKeyPress ;


OnKeyUp event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnKeyUp ;


OnMouseDown event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnMouseDown ;


OnMouseMove event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnMouseMove ;


OnMouseUp event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnMouseUp ;


OnStartDrag event

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property OnStartDrag ;


ParentColor property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ParentColor ;


ParentCtl3D property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ParentCtl3D ;


ParentFont property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ParentFont ;


ParentShowHint property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ParentShowHint ;


PopupMenu property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property PopupMenu ;


ReadOnly property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ReadOnly ;


ShowHint property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property ShowHint ;


TabOrder property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property TabOrder ;


TabStop property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property TabStop ;


Version property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Version : String   ;

Description

Read only


Visible property

Unit

PBBinHexEdit

Applies to

TPBBinHexEdit

Declaration

property Visible ;

Description

Set Visible to False if you just need the conversion routines.